Bug 11694 - cdrom permissions keep changing
Summary: cdrom permissions keep changing
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pam   
(Show other bugs)
Version: 6.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-05-26 19:38 UTC by scot
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-30 15:29:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description scot 2000-05-26 19:38:14 UTC
running redhat 6.2 (upgrade from redhat 5.2); /dev/cdrom is a link to my
IDE cdrom; I must keep issuing 'chmod 666 /dev/<whatever my cdrom device
is>' in order to play music cd's on my system.  Something keeps changing
the permissions back to 600.  I have a number of systems this happens on.

find /etc -name cron\* -type f -exec grep -e 'cdrom' -e 'dev' {} \;
doesn't produce any cron jobs changing permissions on cdrom drive.

# rpm -q dev
dev-2.7.18-3

Comment 1 Nalin Dahyabhai 2000-05-30 15:29:59 UTC
This is pam_console working its magic.  It automatically gives ownership of your
CD-ROM drive to users who log in on the console, so that they can use the drive
without constant permission munging.  If you want pam_console to not change the
permissions, remove this line from /etc/security/console.perms:

<console>  0600 <cdrom>     0600 root.disk


Note You need to log in before you can comment on or make changes to this bug.